[arch-commits] Commit in ipw2100-fw/trunk (PKGBUILD ipw2100-fw.install)

Eric Bélanger eric at archlinux.org
Sat May 2 01:13:42 EDT 2009


    Date: Saturday, May 2, 2009 @ 01:13:41
  Author: eric
Revision: 37476

upgpkg: ipw2100-fw 1.3-3
    Licence rebuild, Fixed license path in install scriptlet

Modified:
  ipw2100-fw/trunk/PKGBUILD
  ipw2100-fw/trunk/ipw2100-fw.install

--------------------+
 PKGBUILD           |   12 ++++++------
 ipw2100-fw.install |    6 +-----
 2 files changed, 7 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-02 05:07:53 UTC (rev 37475)
+++ PKGBUILD	2009-05-02 05:13:41 UTC (rev 37476)
@@ -3,16 +3,16 @@
 
 pkgname=ipw2100-fw
 pkgver=1.3
-pkgrel=2
+pkgrel=3
 pkgdesc="Intel Centrino Drivers firmware for IPW2100"
 arch=(i686 x86_64)
 url="http://ipw2100.sourceforge.net/"
 license=('custom')
 depends=('wireless_tools')
+replaces=('ipw2100')
+install=ipw2100-fw.install
 #source=(ipw2100-fw-1.3.tgz http://switch.dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tgz)
 source=(http://bughost.org/firmware/$pkgname-$pkgver.tgz)
-install=ipw2100-fw.install
-replaces=ipw2100
 
 build() {
   #cd $startdir/src/$pkgname-$pkgver
@@ -23,16 +23,16 @@
   #install -D -m 644 $i $startdir/pkg/lib/modules/$(uname -r)/kernel/drivers/net/wireless/ipw2100/$i
   #done
   
-  cd $startdir/src
+  cd $srcdir
   
   # Install firmware
   for i in *.fw
   do
-  install -D -m 644 $i $startdir/pkg/lib/firmware/$i
+  install -D -m 644 $i $pkgdir/lib/firmware/$i || return 1
   done 
   
   # Install firmware license
   #install -D -m 644 LICENSE $startdir/pkg/lib/firmware/LICENSE.ipw2100-fw
-  install -D -m 644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  install -D -m 644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
  }
 md5sums=('46aa75bcda1a00efa841f9707bbbd113')

Modified: ipw2100-fw.install
===================================================================
--- ipw2100-fw.install	2009-05-02 05:07:53 UTC (rev 37475)
+++ ipw2100-fw.install	2009-05-02 05:13:41 UTC (rev 37476)
@@ -3,7 +3,7 @@
 cat << EOF
 IMPORTANT
 ==> In order to use the firmware you have to agree to Intel's license located in 
-==> /lib/firmware/LICENSE.ipw2100-fw else please remove this package
+==> /usr/share/licenses/ipw2100-fw/LICENSE else please remove this package
 EOF
 }
 
@@ -12,7 +12,3 @@
 post_upgrade() {
 post_install $1 
 }
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list